#include "assets.hpp"
#include <PSX/File/Processor/cd_file_processor.hpp>
#include <PSX/AutoLBA/auto_lba_declaration.hpp>
#include <stdio.h>

namespace Assets {
    enum LBA {
        __jabyengine_start_lba_request
        __jabyengine_request_lba_for(FONT, "ASSETS/MAIN/FONT.BIN"),
        __jabyengine_end_lba_request
    };

    __declare_lba_header(LBA);

    void load_for_main() {
        printf("Loading assets! %i\n", lba[LBA::FONT].get_lba());
    }
}